Skip to main content
POST
/
lists
Create a list
curl --request POST \
  --url https://api.sendkit.dev/lists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Newsletter"
}
'
import requests

url = "https://api.sendkit.dev/lists"

payload = { "name": "Newsletter" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Newsletter'})
};

fetch('https://api.sendkit.dev/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Newsletter",
  "created_at": "2026-03-03 10:00:00",
  "updated_at": "2026-03-03 10:00:00"
}
{
"message": "Invalid API key."
}
{
"message": "The email field is required."
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Body

application/json
name
string
required

The name of the list.

Maximum string length: 255
Example:

"Newsletter"

Response

List created successfully

id
string<uuid>

Unique identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string

The name of the list.

Example:

"Newsletter"

created_at
string<date-time>

When the list was created.

Example:

"2026-03-03 10:00:00"

updated_at
string<date-time>

When the list was last updated.

Example:

"2026-03-03 10:00:00"